JUCE: dsp::ProcessorDuplicator< MonoProcessorType, StateType > Struct Template Reference

JUCE

Public Member Functions | Public Attributes | List of all members
dsp::ProcessorDuplicator< MonoProcessorType, StateType > Struct Template Reference
juce_dsp » processors

Converts a mono processor class into a multi-channel version by duplicating it and applying multichannel buffers across an array of instances. More...

`#include <juce_ProcessorDuplicator.h>`

## Public Member Functions
| ProcessorDuplicator ()
| ProcessorDuplicator (StateType *stateToUse)
| ProcessorDuplicator (typename StateType::Ptr stateToUse)
| ProcessorDuplicator (const ProcessorDuplicator &)=default
| ProcessorDuplicator (ProcessorDuplicator &&)=default
void | prepare (const ProcessSpec &spec)
void | reset () noexcept
template<typename ProcessContext >
void | process (const ProcessContext &context) noexcept

## Public Attributes
StateType::Ptr | state

## Detailed Description

template<typename MonoProcessorType, typename StateType>
struct dsp::ProcessorDuplicator< MonoProcessorType, StateType >

Converts a mono processor class into a multi-channel version by duplicating it and applying multichannel buffers across an array of instances.

When the prepare method is called, it uses the specified number of channels to instantiate the appropriate number of instances, which it then uses in its process() method.

## Constructor & Destructor Documentation

## ◆ ProcessorDuplicator() [1/5]

template<typename MonoProcessorType , typename StateType >

dsp::ProcessorDuplicator< MonoProcessorType, StateType >::ProcessorDuplicator | ( |  | ) |

## ◆ ProcessorDuplicator() [2/5]

template<typename MonoProcessorType , typename StateType >

dsp::ProcessorDuplicator< MonoProcessorType, StateType >::ProcessorDuplicator | ( | StateType * | stateToUse | ) |

## ◆ ProcessorDuplicator() [3/5]

template<typename MonoProcessorType , typename StateType >

dsp::ProcessorDuplicator< MonoProcessorType, StateType >::ProcessorDuplicator | ( | typename StateType::Ptr | stateToUse | ) |

## ◆ ProcessorDuplicator() [4/5]

template<typename MonoProcessorType , typename StateType >

dsp::ProcessorDuplicator< MonoProcessorType, StateType >::ProcessorDuplicator | ( | const ProcessorDuplicator< MonoProcessorType, StateType > & |  | ) |
| default

## ◆ ProcessorDuplicator() [5/5]

template<typename MonoProcessorType , typename StateType >

dsp::ProcessorDuplicator< MonoProcessorType, StateType >::ProcessorDuplicator | ( | ProcessorDuplicator< MonoProcessorType, StateType > && |  | ) |
| default

## Member Function Documentation

## ◆ prepare()

template<typename MonoProcessorType , typename StateType >

void dsp::ProcessorDuplicator< MonoProcessorType, StateType >::prepare | ( | const ProcessSpec & | spec | ) |

References dsp::ProcessSpec::numChannels, gl::p, and dsp::ProcessorDuplicator< MonoProcessorType, StateType >::state.

## ◆ reset()

template<typename MonoProcessorType , typename StateType >

void dsp::ProcessorDuplicator< MonoProcessorType, StateType >::reset | ( |  | ) |
| noexcept

References gl::p.

## ◆ process()

template<typename MonoProcessorType , typename StateType >
template<typename ProcessContext >

void dsp::ProcessorDuplicator< MonoProcessorType, StateType >::process | ( | const ProcessContext & | context | ) |
| noexcept

References jassert, and jmin().

## Member Data Documentation

## ◆ state

template<typename MonoProcessorType , typename StateType >

StateType::Ptr dsp::ProcessorDuplicator< MonoProcessorType, StateType >::state

Referenced by dsp::ProcessorDuplicator< MonoProcessorType, StateType >::prepare().

The documentation for this struct was generated from the following file:

- juce_ProcessorDuplicator.h